Bug 3400 - [UPDATE REQUEST] x11-driver-video-intel-2.99.906-1
: [UPDATE REQUEST] x11-driver-video-intel-2.99.906-1
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: High critical
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-13 10:26 MSK by Aleksandr Kazantcev
Modified: 2013-12-16 10:09 MSK (History)
2 users (show)

See Also:
RPM Package: x11-driver-video-intel-2.99.906-1
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alexander.kazantsev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2013-12-13 10:26:42 MSK
New package
Comment 1 Aleksandr Kazantcev 2013-12-13 10:30:03 MSK
https://abf.rosalinux.ru/build_lists/1488441
https://abf.rosalinux.ru/build_lists/1488442

Advisory: This update fix consists several stability fixes:

 * Fix damage handling when rendering to a partially damaged GPU surface.
   Regression in 2.99.905
 * Use asprintf() instead of sprintf()
   Regression in 2.99.905
 * Improve accounting for fence overallocation on older gen2/3, and
   improve the tiling mechanism to fit into the same aperture constraints
   https://bugs.freedesktop.org/show_bug.cgi?id=70924
 * Add an extra GPU flush on Sandybridge to fix some rare font corruption
 * Rasterise lines through all clip boxes
   https://bugs.freedesktop.org/show_bug.cgi?id=70802
 * Fix regression from stricter handling of failures to move a GC to the GPU
   Regression in 2.99.905
   https://bugs.freedesktop.org/show_bug.cgi?id=71415
 * Fix various fail along the memcpy_xor paths, including inadequate error
   handling and integer overflow
   https://bugs.freedesktop.org/show_bug.cgi?id=70527
 * Fix outside-of-target stipple uploads
   https://bugs.launchpad.net/bugs/1247785
 * Fix clip detection for long glyphs
   Incomplete bug fix (causing a regression) in 2.99.905
   https://bugs.freedesktop.org/show_bug.cgi?id=70527
 * Fix VSync for the render engine (Xv) on Haswell
   https://bugs.freedesktop.org/show_bug.cgi?id=70527
 * Fix Empathy crash in Gnome 3.8
Comment 2 Postnikov Dmitry 2013-12-13 15:55:27 MSK
We tested on 2 computer with Intel VGA. All work excelent!
Comment 3 Vladimir Potapov 2013-12-14 17:21:37 MSK
x11-driver-video-intel-2.99.906-1
**************************** Advisory ************************
This update fix consists several stability fixes
****************************** Changelog *********************
* Fix damage handling when rendering to a partially damaged GPU surface.
   Regression in 2.99.905
 * Use asprintf() instead of sprintf()
   Regression in 2.99.905
 * Improve accounting for fence overallocation on older gen2/3, and
   improve the tiling mechanism to fit into the same aperture constraints
   https://bugs.freedesktop.org/show_bug.cgi?id=70924
 * Add an extra GPU flush on Sandybridge to fix some rare font corruption
 * Rasterise lines through all clip boxes
   https://bugs.freedesktop.org/show_bug.cgi?id=70802
 * Fix regression from stricter handling of failures to move a GC to the GPU
   Regression in 2.99.905
   https://bugs.freedesktop.org/show_bug.cgi?id=71415
 * Fix various fail along the memcpy_xor paths, including inadequate error
   handling and integer overflow
   https://bugs.freedesktop.org/show_bug.cgi?id=70527
 * Fix outside-of-target stipple uploads
   https://bugs.launchpad.net/bugs/1247785
 * Fix clip detection for long glyphs
   Incomplete bug fix (causing a regression) in 2.99.905
   https://bugs.freedesktop.org/show_bug.cgi?id=70527
 * Fix VSync for the render engine (Xv) on Haswell
   https://bugs.freedesktop.org/show_bug.cgi?id=70527
 * Fix Empathy crash in Gnome 3.8
************************************************************
QA Verified